window.board = {
    id: 'Armadillo-610',
    name: 'Armadillo-610',
    minPin: 1,
    maxPin: 100,
    lcdPin: 35,
    snvsPins: [13]
};

window.board.groups = {
    "adc": {
	description: 'ADC',
        cssClass: 'success',
    },
    "can": {
	description: 'CAN',
        cssClass: 'info',
    },
    "ecspi": {
	description: 'ECSPI',
        cssClass: 'danger',
    },
    "i2c": {
	description: 'I2C',
        cssClass: 'warning',
    },
    "lcdif": {
	description: 'LCDIF',
        cssClass: 'success',
    },
    "mqs": {
	description: 'MQS',
        cssClass: 'info',
    },
    "pwm": {
	description: 'PWM',
        cssClass: 'danger',
    },
    "uart": {
	description: 'UART',
        cssClass: 'warning',
    },
    "option": {
	description: 'OPTION BOARD',
	cssClass: 'success',
    },
    "regulator": {
    description: 'REGULATOR',
    cssClass: 'info',
    },
    "sd": {
    description: 'SD',
    cssClass: 'danger',
    },
    "usb": {
    description: 'USB',
    cssClass: 'warning',
    },
};

window.board.features = {
    "adc1-in1": {
        description: 'ADC1(IN1)',
	group: 'adc',
        cssClass: 'danger',
        configurations: [
	    {pins: [17]},
        ]
    },
    "adc1-in2": {
        description: 'ADC1(IN2)',
	group: 'adc',
        cssClass: 'warning',
        configurations: [
	    {pins: [16]},
        ]
    },
    "adc1-in3": {
        description: 'ADC1(IN3)',
	group: 'adc',
        cssClass: 'danger',
        configurations: [
	    {pins: [15]},
        ]
    },
    "adc1-in4": {
        description: 'ADC1(IN4)',
	group: 'adc',
        cssClass: 'warning',
        configurations: [
	    {pins: [14]},
        ]
    },
    "can1": {
        description: 'CAN1(RX/TX)',
	group: 'can',
        cssClass: 'warning',
        configurations: [
        {pins: [91, 92]},
        {pins: [26, 27]},
        ]
    },
    "can2": {
        description: 'CAN2(RX/TX)',
	group: 'can',
        cssClass: 'success',
        configurations: [
        {pins: [86, 87]},
        {pins: [28, 29]},
        ]
    },
    "ecspi1": {
        description: 'ECSPI1(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [57, 58, 59, 60]},
	    {pins: [70, 71, 72, 73]},
        ]
    },
    "ecspi1-ss1": {
        description: 'ECSPI1(SS1)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [23]},
        ]
    },
    "ecspi1-ss2": {
        description: 'ECSPI1(SS2)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [24]},
        ]
    },
    "ecspi1-ss3": {
        description: 'ECSPI1(SS3)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [25]},
        ]
    },
    "ecspi2": {
        description: 'ECSPI2(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [61, 62, 63, 64]},
        ]
    },
    "ecspi2-ss1": {
        description: 'ECSPI2(SS1)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [38]},
        ]
    },
    "ecspi2-ss2": {
        description: 'ECSPI2(SS2)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [39]},
        ]
    },
    "ecspi3": {
        description: 'ECSPI3(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'success',
        configurations: [
	    {pins: [86, 87, 88, 89]},
        ]
    },
    "ecspi4": {
        description: 'ECSPI4(SCLK/MOSI/MISO/SS0)',
	group: 'ecspi',
        cssClass: 'info',
        configurations: [
	    {pins: [66, 67, 68, 69]},
        ]
    },
    "i2c2": {
        description: 'I2C2(SCL/SDA)',
	group: 'i2c',
        cssClass: 'info',
        configurations: [
	    {pins: [55, 56]},
	    {pins: [82, 84]},
        ]
    },
    "i2c4": {
        description: 'I2C4(SCL/SDA)',
	group: 'i2c',
        cssClass: 'danger',
        configurations: [
	    {pins: [88, 89]},
        ]
    },
    "lcdif-gt800x480a-1013p": {
        description: 'LCDIF(GT800X480A-1013P)',
	group: 'lcdif',
        cssClass: 'danger',
        configurations: [
	    {pins: [37, 38, 39, 40, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 55]},
        ]
    },
    "lcdif-gtwv070vrb00p": {
        description: 'LCDIF(GTWV070VBR00P)',
	group: 'lcdif',
        cssClass: 'warning',
        configurations: [
	    {pins: [37, 38, 39, 40, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 55]},
        ]
    },
    "lcdif-fg040360dsswbg03": {
        description: 'LCDIF(FG040360DSSWBG03)',
	group: 'lcdif',
        cssClass: 'danger',
        configurations: [
	    {pins: [37, 38, 39, 40, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 41]},
        ]
    },
    "lcdif-fg040346dsswbg04": {
	description: 'LCDIF(FG040346DSSWBG04)',
	group: 'lcdif',
        cssClass: 'warning',
        configurations: [
	    {pins: [37, 38, 39, 40, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 41]},
        ]
    },
    "mqs": {
        description: 'MQS',
	group: 'mqs',
        cssClass: 'warning',
        configurations: [
        {pins: [70, 71]},
        {pins: [17, 90]},
        ]
    },
    "pwm1": {
        description: 'PWM1',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
        {pins: [18]},
        {pins: [80]},
        ]
    },
    "pwm2": {
        description: 'PWM2',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [19]},
        ]
    },
    "pwm3": {
        description: 'PWM3',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [14]},
	    {pins: [20]},
        ]
    },
    "pwm4": {
        description: 'PWM4',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
        {pins: [21]},
	    {pins: [81]},
        ]
    },
    "pwm5": {
        description: 'PWM5',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [41]},
	    {pins: [76]},
        ]
    },
    "pwm6": {
        description: 'PWM6',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [74]},
        ]
    },
    "pwm7": {
        description: 'PWM7',
	group: 'pwm',
        cssClass: 'success',
        configurations: [
	    {pins: [55]},
        ]
    },
    "pwm8": {
        description: 'PWM8',
	group: 'pwm',
        cssClass: 'info',
        configurations: [
	    {pins: [56]},
        ]
    },
    "uart1": {
        description: 'UART1(RXD/TXD)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
        {pins: [15, 16]},
        {pins: [83, 85]},
        ]
    },
    "uart2": {
        description: 'UART2(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [68, 69]},
	    {pins: [88, 89]},
        ]
    },
    "uart2-hf": {
        description: 'UART2(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [66, 67]},
	    {pins: [86, 87]},
        ]
    },
    "uart3": {
        description: 'UART3(RXD/TXD)',
    group: 'uart',
        cssClass: 'info',
        configurations: [
        {pins: [93, 94]},
        ]
    },
    "uart3-hf": {
        description: 'UART3(RTS/CTS)',
    group: 'uart',
        cssClass: 'info',
        configurations: [
        {pins: [91, 92]},
        ]
    },
    "uart4": {
        description: 'UART4(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [37, 40]},
        ]
    },
    "uart4-hf": {
        description: 'UART4(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [38, 39]},
        ]
    },
    "uart5": {
        description: 'UART5(RXD/TXD)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
        {pins: [14, 81]},
        {pins: [62, 64]},
        {pins: [82, 84]},
        ]
    },
    "uart5-hf": {
        description: 'UART5(RTS/CTS)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [61, 63]},
        ]
    },
    "uart6": {
        description: 'UART6(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [12, 65]},
        ]
    },
    "uart6-hf": {
        description: 'UART6(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [55, 56]},
        ]
    },
    "uart7": {
        description: 'UART7(RXD/TXD)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [34, 35]},
        ]
    },
    "uart7-hf": {
        description: 'UART7(RTS/CTS)',
	group: 'uart',
        cssClass: 'info',
        configurations: [
	    {pins: [24, 25]},
        ]
    },
    "uart8": {
        description: 'UART8(RXD/TXD)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [72, 73]},
        ]
    },
    "uart8-hf": {
        description: 'UART8(RTS/CTS)',
	group: 'uart',
        cssClass: 'danger',
        configurations: [
	    {pins: [22, 23]},
        ]
    },
    "awlmod-00": {
	description: 'AWLMOD-00',
	group: 'option',
	cssClass: 'danger',
	configurations: [
	    {pins: [93]},
	]
    },
    "lcd70ext-l00": {
	description: 'LCD70EXT-L00',
	group: 'option',
	cssClass: 'warning',
	configurations: [
	    {pins: [37, 38, 39, 40, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 55, 63, 64]},
	]
    },
    "reg": {
    description: 'REGULATOR-FIXED',
    group: 'regulator',
    cssClass: 'warning',
    configurations: [
        {pins: [11]}, {pins: [12]}, {pins: [13]}, {pins: [14]}, {pins: [15]}, {pins: [16]}, {pins: [17]}, {pins: [18]}, {pins: [19]}, {pins: [20]},
        {pins: [21]}, {pins: [22]}, {pins: [23]}, {pins: [24]}, {pins: [25]}, {pins: [26]}, {pins: [27]}, {pins: [28]}, {pins: [29]}, {pins: [30]},
        {pins: [31]}, {pins: [32]}, {pins: [33]}, {pins: [34]}, {pins: [35]}, 
        {pins: [37]}, {pins: [38]}, {pins: [39]}, {pins: [40]}, {pins: [41]},
        {pins: [43]},
        {pins: [55]}, {pins: [56]}, {pins: [57]}, {pins: [58]}, {pins: [59]}, {pins: [60]}, {pins: [61]}, {pins: [62]}, {pins: [63]}, {pins: [64]}, 
        {pins: [65]}, {pins: [66]}, {pins: [67]}, {pins: [68]}, {pins: [69]}, {pins: [70]}, {pins: [71]}, {pins: [72]}, {pins: [73]}, {pins: [74]},
        {pins: [76]}, 
        {pins: [80]}, {pins: [81]}, {pins: [82]}, {pins: [83]}, {pins: [84]}, {pins: [85]}, {pins: [86]}, {pins: [87]}, {pins: [88]}, {pins: [89]},
        {pins: [90]}, {pins: [91]}, {pins: [92]}, {pins: [93]}, {pins: [94]}
    ]
    },
    "usdhc2": {
    description: 'USDHC2',
    group: 'sd',
    cssClass: 'success',
    configurations: [
        {pins: [70, 71, 72, 73, 74, 76, 91, 92]}
    ]
    },
    "usb-otg1": {
    description: 'USB-OTG1',
    group: 'usb',
    cssClass: 'info',
    configurations: [
        {pins: [1, 2]}
    ]
    },
    "usb-otg1-id": {
    description: 'USB-OTG1-ID',
    group: 'usb',
    cssClass: 'info',
    configurations: [
        {pins: [90]}, {pins: [94]}
    ]
    },
    "usb-otg1-vbus": {
    description: 'USB-OTG1-VBUS',
    group: 'usb',
    cssClass: 'info',
    configurations: [
        {pins: [7]}
    ]
    },
    "usb-otg2": {
    description: 'USB-OTG2',
    group: 'usb',
    cssClass: 'danger',
    configurations: [
        {pins: [4, 5]}
    ]
    },
    "usb-otg2-id": {
    description: 'USB-OTG2-ID',
    group: 'usb',
    cssClass: 'danger',
    configurations: [
        {pins: [90]}, {pins: [94]}
    ]
    },
    "usb-otg2-vbus": {
    description: 'USB-OTG2-VBUS',
    group: 'usb',
    cssClass: 'danger',
    configurations: [
        {pins: [8]}
    ]
    }
};
